summaryrefslogtreecommitdiff
path: root/sys-fs
diff options
context:
space:
mode:
authorSergey Popov <pinkbyte@gentoo.org>2012-12-19 17:59:40 +0400
committerSergey Popov <pinkbyte@gentoo.org>2012-12-19 17:59:40 +0400
commit0b7b56b7d4e9c9f27346690d3b0d9b14b7699d10 (patch)
treedf127724e066bab5e5edee2c32d52c6fb4fd8a62 /sys-fs
parentdev-util/intltool-debian: New Ebuild for bug #447778. (diff)
downloadsunrise-0b7b56b7d4e9c9f27346690d3b0d9b14b7699d10.tar.gz
sunrise-0b7b56b7d4e9c9f27346690d3b0d9b14b7699d10.tar.bz2
sunrise-0b7b56b7d4e9c9f27346690d3b0d9b14b7699d10.zip
Version bump
Package-Manager: portage-2.2.0_alpha149
Diffstat (limited to 'sys-fs')
-rw-r--r--sys-fs/ntfs3g-ar/ChangeLog6
-rw-r--r--sys-fs/ntfs3g-ar/Manifest12
-rw-r--r--sys-fs/ntfs3g-ar/metadata.xml1
-rw-r--r--sys-fs/ntfs3g-ar/ntfs3g-ar-2012.1.15.8.ebuild88
4 files changed, 102 insertions, 5 deletions
diff --git a/sys-fs/ntfs3g-ar/ChangeLog b/sys-fs/ntfs3g-ar/ChangeLog
index e3753f42c..359b662b1 100644
--- a/sys-fs/ntfs3g-ar/ChangeLog
+++ b/sys-fs/ntfs3g-ar/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*ntfs3g-ar-2012.1.15.8 (19 Dec 2012)
+
+ 19 Dec 2012; Sergey Popov <pinkbyte@gentoo.org>
+ +ntfs3g-ar-2012.1.15.8.ebuild, metadata.xml:
+ Version bump
+
05 May 2012; Mike Gilbert <floppym@gentoo.org> ntfs3g-ar-2011.4.12.7.ebuild:
Use pkgconfig virtual.
diff --git a/sys-fs/ntfs3g-ar/Manifest b/sys-fs/ntfs3g-ar/Manifest
index 4e55bdb27..5e3d42979 100644
--- a/sys-fs/ntfs3g-ar/Manifest
+++ b/sys-fs/ntfs3g-ar/Manifest
@@ -1,5 +1,7 @@
-AUX 99-ntfs3g.rules 51 RMD160 5c022fc946d0a695f8ef0dde7b8be42080bc8162 SHA1 01c821c46815c8bbe7560455fc22cc355c3844a2 SHA256 912165f71bbcae4753cd10a74c78bfd98e49bd9adbf80b96c39fc6738b12d463
-DIST ntfs-3g_ntfsprogs-2011.4.12AR.7.tgz 1144332 RMD160 333c97dc212f5ae11834124df1e6c0a01c1f7f6b SHA1 84e129624f3115c03a536c09a1688b925c035887 SHA256 62161e32052f47964ebf1209fc01774b13e32412ae07a9b6e01e073b8c4c54c8
-EBUILD ntfs3g-ar-2011.4.12.7.ebuild 2365 RMD160 e7b56cb9b88b749d1a1f0d561e0e6fe587665ddc SHA1 3483513ea61f90b5659cdc85b8c7efed32ceef7e SHA256 1931e7984c13cc220c28eab91e5a14f04149d91416b465c55c49264d718d62ad
-MISC ChangeLog 2650 RMD160 3f5a91e837271bcaec768d3b4d505c273482d206 SHA1 4cfebf5a3d5b85f726909be690587a45f4a26d20 SHA256 ce8b65ba126782cf15477f9e68568295768c29ec6b317e4e025267153970607a
-MISC metadata.xml 664 RMD160 cea2ce984e5f26c5b72dc05b9788ab304c135432 SHA1 8ac0c9be316b264df3c3af4d678595c182fe4714 SHA256 9e82a37a928f7e3524a277ad50f584c8cf0b2e66e17f1a7de93728c71e6e4355
+AUX 99-ntfs3g.rules 51 SHA256 912165f71bbcae4753cd10a74c78bfd98e49bd9adbf80b96c39fc6738b12d463 SHA512 9310dd1dceec9a6252d3e8b95a9a1002c84a6f077457892eefe1255c85557041defbd8dcf6acef86285b45abd8bbe85822dd59a9e4c307bba80dd2c17f971851 WHIRLPOOL 9a0439ceb3bb1f142ee1929c03dab22066fdb3dba85c216265f6f10f3e9e2416beb4f3a73c8965b621b8d7b34c467a81628b6656f59e4c51e9fd529007f7ca27
+DIST ntfs-3g_ntfsprogs-2011.4.12AR.7.tgz 1144332 SHA256 62161e32052f47964ebf1209fc01774b13e32412ae07a9b6e01e073b8c4c54c8
+DIST ntfs-3g_ntfsprogs-2012.1.15AR.8.tgz 1178240 SHA256 932534e2f0e6e2c8f8702d882c465507f6fd0a987709dc8577a3471568fe8c5b SHA512 867970ae2fd7f990d6f453693dbf90b104eadd1f44ef156bd51cbebd1861da05456e008a7089ac1be576c50464dc69dbf16b5e8c1d5b34e14d96c2d0e49ae9d8 WHIRLPOOL aff847ff3c55392f0ea9a94aa24b46db3ece42d2784a3ee04b0b50380db91ad8eac955bee15ba04156480a79be052ba3c764932bb46be2486b0493397578978e
+EBUILD ntfs3g-ar-2011.4.12.7.ebuild 2365 SHA256 1931e7984c13cc220c28eab91e5a14f04149d91416b465c55c49264d718d62ad SHA512 f524a4f8f96ab42f12677b6a9d1c09c569d94ac5401a1a42d38f05b51d22e101d65dc99f6766215bfc483e59e8faa17ec267a130f9e98b2f80663ca866e9db03 WHIRLPOOL 158ad55fc91daa17cfbf1956308cd7b4db460fba6dc8565d97dec6a17cde9a5005982a647cbdac259c1c4363faf6480f6701b7f8b73544c48af66e30d2d7a071
+EBUILD ntfs3g-ar-2012.1.15.8.ebuild 2264 SHA256 bad22796856efb75d51fa089862388722cb586d7fe404463bf8131e77c81a69b SHA512 ffcd6a113754c6aedc0f8445dea8d4ceb02ec407711fcefac508fca7282d5a822e8c0ae5730bb27fa3cc10129065aadb08d2c3842b64f8590b92c9058f530d9f WHIRLPOOL d85d43dadfcbb6b33e58776c83471f541e0e1942e222d4fb8472f0fa33d39f2372c7c4f16f4e1f7e539d53b395c729dbda346c2be9e8bf11731a2121d486d9fa
+MISC ChangeLog 2801 SHA256 0fc951d504998595cb8b85ca98a0d2f59943289b38fa744f072f033166710698 SHA512 8c1c766c717413f3a470bdb7babb08b733cafc06cd707bfbcb8aaf459518b811b66c43c116548979afcd73707e1a5aa332da787b1f9109797090818ca76518fc WHIRLPOOL 1ad98cf8dfa54df2d801a23988c21d5b3513431d718c4ceb1f6b9b61d1e9c3ee1df13738bc19916ec1b98e582b7cf91f3e89d3d4d02095de4621c5ec195370f1
+MISC metadata.xml 727 SHA256 462bddf4a2463fff1905df03150536b6e2bf2a07b44eac61c8a47b649ff6d65e SHA512 4b19b188bc7d5ca9af95a613e3d2cf9a6acb306a645ded81919f49763e7145c871ee0c0cbdaf1aed727b315800adc9c86853ce88655b94035f73b19d79e51946 WHIRLPOOL e28c1671a4f02c5d569b235dd111f9a97fb4d26c6e28f5f4c32c87c84399e97bde94fe0fcab7cacce2414b6a2e65bdbaff4f5f2e49d9487db3c3310a20ffccee
diff --git a/sys-fs/ntfs3g-ar/metadata.xml b/sys-fs/ntfs3g-ar/metadata.xml
index 4aa17c58e..985e6f49c 100644
--- a/sys-fs/ntfs3g-ar/metadata.xml
+++ b/sys-fs/ntfs3g-ar/metadata.xml
@@ -7,6 +7,7 @@
<use>
<flag name='external-fuse'>Use external FUSE library instead of internal
one. Must be disabled for unprivileged mounting to work.</flag>
+ <flag name='extras'>Enable extra ntfsprogs utilities.</flag>
<flag name='udev'>Install udev rule to make udisks use ntfs-3g instead
of the kernel NTFS driver.</flag>
<flag name='crypt'>Add support for encrypted NTFS drives/partitions.</flag>
diff --git a/sys-fs/ntfs3g-ar/ntfs3g-ar-2012.1.15.8.ebuild b/sys-fs/ntfs3g-ar/ntfs3g-ar-2012.1.15.8.ebuild
new file mode 100644
index 000000000..7caec9ae7
--- /dev/null
+++ b/sys-fs/ntfs3g-ar/ntfs3g-ar-2012.1.15.8.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=5
+inherit eutils linux-info versionator
+
+MY_PN="${PN/3g-ar/-3g}"
+MY_PV="$(get_version_component_range 1-3)AR.$(get_version_component_range 4)"
+MY_P="${MY_PN}_ntfsprogs-${MY_PV}"
+
+DESCRIPTION="NTFS-3G variant supporting ACLs, junction points, compression and more"
+HOMEPAGE="http://jp-andre.pagesperso-orange.fr/advanced-ntfs-3g.html"
+SRC_URI="http://jp-andre.pagesperso-orange.fr/${MY_P}.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="acl crypt debug +external-fuse extras +ntfsprogs static-libs suid +udev xattr"
+
+RDEPEND="!<sys-apps/util-linux-2.19
+ !sys-fs/ntfsprogs
+ crypt? (
+ >=dev-libs/libgcrypt-1.2.2
+ >=net-libs/gnutls-1.4.4
+ )
+ external-fuse? ( >=sys-fs/fuse-2.8.0 )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ sys-apps/attr"
+
+S="${WORKDIR}/${MY_P}"
+
+DOCS="AUTHORS ChangeLog CREDITS README"
+
+pkg_setup() {
+ if use external-fuse && use kernel_linux; then
+ if kernel_is lt 2 6 9; then
+ die "Your kernel is too old."
+ fi
+ CONFIG_CHECK="~FUSE_FS"
+ FUSE_FS_WARNING="You need to have FUSE module built to use ntfs-3g"
+ linux-info_pkg_setup
+ fi
+}
+
+src_configure() {
+ econf \
+ --exec-prefix="${EPREFIX}/usr" \
+ --docdir="${EPREFIX}/usr/share/doc/${PF}" \
+ $(use_enable debug) \
+ --enable-ldscript \
+ --disable-ldconfig \
+ $(use_enable acl posix-acls) \
+ $(use_enable xattr xattr-mappings) \
+ $(use_enable crypt crypto) \
+ $(use_enable ntfsprogs) \
+ $(use_enable extras) \
+ $(use_enable static-libs static) \
+ --with-fuse=$(use external-fuse && echo external || echo internal)
+}
+
+src_install() {
+ default
+
+ use suid && fperms u+s /usr/bin/${MY_PN}
+
+ if use udev; then
+ insinto /lib/udev/rules.d
+ doins "${FILESDIR}"/99-ntfs3g.rules
+ fi
+
+ prune_libtool_files
+
+ # http://bugs.gentoo.org/398069
+ dodir /usr/sbin
+ mv "${D}"/sbin/* "${ED}"/usr/sbin || die
+ rm -rf "${D}"/sbin
+
+ dosym mount.ntfs-3g /usr/sbin/mount.ntfs #374197
+}
+
+pkg_postinst() {
+ ewarn "This is an advanced features release of the ntfs-3g package. It"
+ ewarn "passes standard tests on i386 and x86_64 CPUs but users should"
+ ewarn "still backup their data. More info at:"
+ ewarn "http://pagesperso-orange.fr/b.andre/advanced-ntfs-3g.html"
+}